<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF/Web development</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="../plugins/counto/animate.css">
  <link rel="stylesheet" href="../plugins/aos/aos.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="../plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="../plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="../designspace/style.css" rel="stylesheet">

</head>


<body>

<!-- Navigation Start -->
<!-- Header Start -->

<div class= "header">

  <nav class="navbar navbar-expand-lg  main-nav " id="navbar">
  	<div class="container">
  	  <a class="navbar-brand" href="../index.html">
  	  	<img src="../images/logo.png" alt="" class="img-fluid">
  	  </a>


  	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
  		<span class="ti-align-justify"></span>
  	  </button>

  		  <div class="collapse navbar-collapse" id="navbarsExample09">
  			<ul class="navbar-nav ml-auto">

  			  <li class="nav-item  active"><a class="nav-link" href="../index.html">Home</a></li>

  			  <li class="nav-item dropdown active">
  					<a class="nav-link dropdown-toggle" href="#" id="dropdown02" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Reflection</a>
  					<ul class="dropdown-menu" aria-labelledby="dropdown02">
  						<li><a class="dropdown-item" href="../blog-grid.html">Term 1</a></li>
  						<li><a class="dropdown-item" href="../term2.html">Term 2</a></li>
  						<li><a class="dropdown-item" href="../term3.html">Term 3</a></li>
  					</ul>
  			  </li>

          <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="dropdown05" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Work</a>
          <ul class="dropdown-menu" aria-labelledby="dropdown05">
            <li><a class="dropdown-item" href="../blog-grid.html">Prototypes</a></li>
            <li><a class="dropdown-item" href="../sblog-sidebar.html">Ideas</a></li>
          </ul>
          </li>
  			   <li class="nav-item"><a class="nav-link" href="../contact.html">GitLab</a></li>
           <li class="nav-item  active"><a class="nav-link" href="../myself.html">About</a></li>

  			</ul>
  		</div>
  	</div>
  </nav>
</div>
<!-- Header Close -->


<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h1 class="text-capitalize mb-0 text-lg">Web development</h1>
        </div>
      </div>
    </div>
  </div>
</section>

<div class="fabclass">

             <img src="atom1.jpg" alt="atom" class="img-fluid fabimage">
             <br> </br>
             <h3> This week is about web development and version control. We are using GIT and github, in order to document our learning process on a platform and publish them on our website.</h3>
             <br> </br>
             <h4>Git & GitLab</h4>
             <p>Git is a free and open source distributed version control system. It is used to keep track of revisions and allow a developer or dev team to work together on a project through branches. And GitLab is a Git-based fully integrated platform for software development.
             </p>
             <img src="web1.jpg" alt="web" class="img-fluid fabimage">
                <br> </br>
             <p>This is my personal Gitlab platform, which is being used as a repository for my website. The steps of starting a new website on gitlab are the following:</p>
             <ul>
             <li><p>First, install gitbash which is a terminal to send commands, also create a github account </p></li>
             <li><p>Add your Git username and set your email by using <b>git config –-global user.name “YOUR_USERNAME”</b>, then configuring the email address for uploading by <b> git config -–global user.email “jSmith@mail.com”</b> </p></li>
             <li><p>After that, checking an SSH KEY already by <b> cat ~/.ssh/id_rsa.pub</b>, then generate the SSH key <b>ssh-keygen -t rsa -C "$your_email"</b>  </p></li>
             <li><p>Once we have the SSH key we copy it and then we paste it at the section in our profile on gitlab </p></li>
             <li><p>Navigate to the folder where you want to put or create your repo using the gitbash </p></li>
             <li><p>Clone your the repository that you want to have as a base to work on, for example <b> git clone git@gitlab.com:flu/mdef19-20-templateblogpage.git </b> or start by creating your own files from scratch in this folder </p></li>
             <li> <p> Add the new files you added to git <b> git add index.html</b> to upload file by file  or <b> git add . </b> to upload all the files at once
             </ul>
             <br> </br>
             <h4>This week I used input devices such as sensors, to read data from the environment and then program an output device such as a servo motor, to perform an action. </h4>
             <br> </br>


 </p></li>


            <li><p>To download the last copy from the repository use the <b> git pull </b> </p> </li>
            <li><p>Before pushing name your update <b>git commit -m ‘change you did’</b> and then to upload to repository use the <b> git push</b> </p> </li>
            </ul>
               <br> </br>
              <img src="git1.jpg" alt="git" class="img-fluid fabimage">
                 <br> </br>
            <h3>Atom</h3>
            <p>Once we have connected the local respository on our computer with the online platform with the terminal, we can start using a more visual friendly environment. Atom is a text editor we use for coding the HTML and CSS files of our website.</p>
            <br> </br>
            <h3>Sketching the final project</h3>
            <p>My initial idea about the final project was to make three open-source machines and as a DIY toolkit. The purpose would be to make an easy to use process in order to make your own materials and measure their properties.</p>
            <p>The machines could be: <ul><li>1. A press machine for pushing the material composites in a mold in order to compress it and make it stronger</li>
            <li>2.A machine that calculates the strength of the material by compressing it until it breaks</li>
            <li>3. A machine that calculates the conductivity of the material, by heating it up on the one side, and calculating the temperature on the other.</li< </p>

                <img src="final.jpg" alt="final" class="img-fluid fabimage">

           <p>Here I have sketched the 3 machines separetely, however it would be nice to have them combined in one object that would also have some "smart" features, such as an interface.</p>
           <p>That's a quick sketch of it:</p>

             <img src="one.jpg" alt="final" class="img-fluid fabimage">
                <br> </br>
</div>

</body>

<!-- Footer start -->
<section class="footer">
	<div class="container">
		<div class="row ">
			<div class="col-lg-6">
			</div>
			<div class="col-lg-6">
				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
				</div>
			</div>
		</div>
	</div>
</section>

<!-- jQuery -->
<script src="../plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="../plugins/bootstrap/bootstrap.min.js"></script>
<script src="../plugins/aos/aos.js"></script>
<script src="../plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="../plugins/shuffle/shuffle.min.js"></script>
<script src="../plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="../plugins/animated-text/animated-text.js"></script>
<script src="../plugins/counto/apear.js"></script>
<script src="../plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="../plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
